import React from 'react'
import { translate } from 'cozy-ui/react/I18n'

import OAuthForm from 'components/ContentComponents/OAuth/OAuthForm'
import { Konnector } from 'doctypes'

interface KonnectorOAuthFormProps {
  konnector: Konnector
  onSuccess: Function
  loading: boolean
  t: Function
}

const KonnectorOAuthForm: React.FC<KonnectorOAuthFormProps> = ({
  konnector,
  onSuccess,
  loading,
  t,
}: KonnectorOAuthFormProps) => {
  return (
    <div>
      {t('oauth.connect.' + konnector.slug)}
      <OAuthForm konnector={konnector} onSuccess={onSuccess} />
    </div>
  )
}

export default translate()(KonnectorOAuthForm)
